
@inproceedings{wecsr10measuring-tor,
  title = {A Case Study on Measuring Statistical Data in the {T}or Anonymity Network}, 
  author = {Karsten Loesing and Steven J. Murdoch and Roger Dingledine}, 
  booktitle = {Proceedings of the Workshop on Ethics in Computer Security Research (WECSR
        2010)}, 
  year = {2010}, 
  month = {January}, 
  location = {Tenerife, Canary Islands, Spain}, 
  publisher = {Springer}, 
  series = {LNCS}, 
  www_tags = {selected}, 
  www_pdf_url = {https://www.cl.cam.ac.uk/~sjm217/papers/wecsr10measuring.pdf}, 
  www_section = {Anonymous communication}, 
}

@inproceedings{tor-usage-priv-measurement-imc18,
  author    = {Akshaya Mani and
               T. Wilson{-}Brown and
               Rob Jansen and
               Aaron Johnson and
               Micah Sherr},
  title     = {Understanding Tor Usage with Privacy-Preserving Measurement},
  booktitle = {Proceedings of the Internet Measurement Conference 2018, {IMC} 2018,
               Boston, MA, USA, October 31 - November 02, 2018},
  pages     = {175--187},
  year      = {2018},
  url       = {https://doi.acm.org/10.1145/3278532.3278549},
  doi       = {10.1145/3278532.3278549},
  timestamp = {Sat, 03 Nov 2018 18:26:13 +0100},
  biburl    = {https://dblp.org/rec/bib/conf/imc/ManiWJJS18},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{WrightDF15,
  author    = {Joss Wright and
               Alexander Darer and
               Oliver Farnan},
  title     = {Detecting Internet Filtering from Geographic Time Series},
  journal   = {CoRR},
  volume    = {abs/1507.05819},
  year      = {2015},
  url       = {https://arxiv.org/abs/1507.05819},
  archivePrefix = {arXiv},
  eprint    = {1507.05819},
  timestamp = {Mon, 13 Aug 2018 16:46:35 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/WrightDF15},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{torspinISC08,
  title = {Compromising Anonymity Using Packet Spinning}, 
  author = {Vasilis Pappas and Elias Athanasopoulos and Sotiris Ioannidis and Evangelos P.
        Markatos}, 
  booktitle = {Proceedings of the 11th Information Security Conference (ISC 2008)}, 
  year = {2008}, 
  month = {September}, 
  location = {Taipei, Taiwan}, 
  www_tags = {selected}, 
  www_pdf_url = {https://www.ics.forth.gr/dcs/Activities/papers/torspin.isc08.pdf}, 
  www_section = {Anonymous communication}, 
}

@inproceedings{pets2011-defenestrator,
  title = {Defenestra{T}or: Throwing out Windows in {T}or},
  author = {Mashael AlSabah and Kevin Bauer and Ian Goldberg and Dirk Grunwald and Damon McCoy and Stefan Savage and Geoffrey Voelker},
  booktitle = {Proceedings of the 11th Privacy Enhancing Technologies Symposium (PETS 2011)},
  year = {2011},
  month = {July},
  location = {Waterloo, Canada},
  www_pdf_url = {https://cs.uwaterloo.ca/~iang/pubs/defenestrator.pdf},
}

@article{peerflow-popets17,
  author    = {Aaron Johnson and
               Rob Jansen and
               Nicholas Hopper and
               Aaron Segal and
               Paul Syverson},
  title     = {Peer{F}low: Secure Load Balancing in {T}or},
  journal   = {PoPETs},
  volume    = {2017},
  number    = {2},
  pages     = {74--94},
  year      = {2017},
  url       = {https://doi.org/10.1515/popets-2017-0017},
  doi       = {10.1515/popets-2017-0017},
  timestamp = {Sat, 27 May 2017 14:24:30 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/popets/JohnsonJHSS17},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@techreport{tor-blocking,
  title = {Design of a blocking-resistant anonymity system},
  author = {Roger Dingledine and Nick Mathewson},
  institution = {The Tor Project},
  number = {2006-1},
  year = {2006},
  month = {November},
  www_tags = {selected},
  www_section = comm,
  www_important = {1},
  www_pdf_url = {https://svn.torproject.org/svn/projects/design-paper/blocking.pdf},
}

@inproceedings{flashproxy-pets12,
 title={Evading Censorship with Browser-Based Proxies},
 author={David Fifield and Nate Hardison and Jonathan Ellithorpe and Emily Stark and Roger Dingledine and Phil Porras and Dan Boneh},
 booktitle = {Proceedings of the 12th Privacy Enhancing Technologies Symposium (PETS 2012)},
 month={July},
 year={2012},
 publisher={Springer},
 www_tags = {selected},
 www_section= censorship,
 www_pdf_url= {https://crypto.stanford.edu/flashproxy/flashproxy.pdf}
}

@inproceedings{botnetfc14,
  title={Challenges in protecting {T}or hidden services from botnet abuse},
  author={Nicholas Hopper},
  booktitle={Proceedings of Financial Cryptography and Data Security (FC'14)},
  year = {2014},
  month = {March},
  www_section = comm,
  www_pdf_url = "https://fc14.ifca.ai/papers/fc14_submission_152.pdf",
  www_tags={selected},
}

@misc{tor-pt-spec,
title = {Tor Pluggable Transport Specification},
key = {Tor Pluggable Transport Specification},
howpublished = {\url{https://spec.torproject.org/pt-spec}},
}

@misc{tor-spec-tap,
title = {{Tor Protocol Specification: The TAP handshake}},
author = {Roger Dingledine and Nick Mathewson},
howpublished = {\url{https://gitweb.torproject.org/torspec.git/tree/tor-spec.txt\#n1043}},
}

@misc{tor-spec-ntor,
title = {{Tor Protocol Specification: The "ntor" handshake}},
author = {Roger Dingledine and Nick Mathewson},
howpublished = {\url{https://gitweb.torproject.org/torspec.git/tree/tor-spec.txt\#n1090}},
}


@misc{prop-255,
title = {{Tor Protocol Specification Proposal 255}},
author = {Tom van der Woerdt},
howpublished = {\url{https://github.com/torproject/torspec/blob/master/proposals/255-hs-load-balancing.txt}},
}


@misc{tor-browser-design,
title = {The Design and Implementation of the {T}or {B}rowser},
key = {The Design and Implementation of the {T}or {B}rowser},
howpublished = {\\\url{https://www.torproject.org/projects/torbrowser/design/}},
}

@misc{torperf,
title = {{Torperf}},
key = {{Torperf}},
howpublished = {\\\url{https://gitweb.torproject.org/torperf.git/}},
}

@misc{onionperf,
title = {{OnionPerf}},
key = {{OnionPerf}},
howpublished = {\\\url{https://github.com/robgjansen/onionperf}},
}

@misc{meek,
title = {meek},
author = {David Fifield},
howpublished = {\url{https://trac.torproject.org/projects/tor/wiki/doc/meek}}
}

@misc{research-blog-post,
title = {{Tor at the Heart: PETS and the Privacy Research Community}},
author = {Roger Dingledine},
howpublished = {\\\url{https://blog.torproject.org/tor-heart-pets-and-privacy-research-community}}
}

@misc{botnet-2013,
title = {{How to handle millions of new Tor clients}},
author = {Roger Dingledine},
howpublished = {\\\url{https://blog.torproject.org/how-handle-millions-new-tor-clients}}
}

@misc{gettor,
title = {{GetTor}},
key = {GetTor},
howpublished = {\\\url{https://www.torproject.org/projects/gettor}}
}

@misc{collector,
title = {{CollecTor}},
key = {CollecTor},
howpublished = {\\\url{https://metrics.torproject.org/collector.html}}
}

@misc{tor-metrics,
title = {{Tor Metrics}},
key = {Tor Metrics},
howpublished = {\\\url{https://metrics.torproject.org/}}
}

@misc{tor-metrics-news,
title = {{Tor Metrics News}},
key = {Tor Metrics News},
howpublished = {\\\url{https://metrics.torproject.org/news.html}}
}

@misc{max-mind-geolite2,
title = {{GeoLite2 Free Downloadable Databases}},
key = {GeoLite2 Free Downloadable Databases},
howpublished = {\\\url{https://dev.maxmind.com/geoip/geoip2/geolite2/}}
}

@misc{ip2location,
title = {{IP2Location}},
key = {IP2Location},
howpublished = {\\\url{https://www.ip2location.com/}}
}

@misc{ripe-stat,
title = {{RIPEstat}},
key = {RIPEstat},
howpublished = {\\\url{https://stat.ripe.net/}}
}

@misc{tor-metrics-geo-study,
title = {{Improve AS number and name coverage (switch maxmind to RIPE Stat)}},
key = {Improve AS number and name coverage (switch maxmind to RIPE Stat)},
howpublished = {\\\url{https://trac.torproject.org/projects/tor/ticket/26585\#comment:3}}
}

@misc{tencent-wiki,
title = {{Tencent}},
key = {Tencent},
howpublished = {\\\url{https://en.wikipedia.org/wiki/Tencent}}
}

@misc{tencent-social,
title = {{Tencent social networks}},
key = {Tencent social networks},
howpublished = {\\\url{https://www.tencent.com/en-us/system.html}}
}

@misc{popular-android-apps-wiki,
title = {{List of most-downloaded Google Play applications}},
key = {List of most-downloaded Google Play applications},
howpublished = {\\\url{https://en.wikipedia.org/wiki/List_of_most-downloaded_Google_Play_applications#Paid_applications_with_one_million_or_more_downloads}}
}

@misc{china-blocked-apps,
title = {{List of Websites and Apps Blocked in China [Updated Aug 2018]}},
author = {SLC Team},
howpublished = {\\\url{https://startuplivingchina.com/list-websites-apps-blocked-china/}}
}

@misc{udhr,
title = {{Universal Declaration of Human Rights}},
author = {United Nations},
howpublished = {\\\url{https://www.un.org/en/universal-declaration-human-rights/}}
}

@misc{ftr,
title = {{The Freedom to Read Statement}},
author = {American Library Association},
howpublished = {\\\url{http://www.ala.org/advocacy/intfreedom/freedomreadstatement}}
}

@misc{tencent-surveillance,
title = {{WeChat's privacy issues mean you should delete China's No. 1 messaging app }},
author = {Angus Grigg },
howpublished = {\\\url{https://www.afr.com/news/world/asia/wechats-privacy-issues-mean-you-should-delete-chinas-no1-messaging-app-20180221-h0wgct}}
}

@misc{russia-amazon-google,
title = {{Censorship in the Age of Large Cloud Providers}},
author = {Bruce Schneier},
howpublished = {\\\url{https://www.schneier.com/essays/archives/2018/06/censorship_in_the_ag.html}}
}

@misc{sbws,
title = {{Simple Bandwidth Scanner technical details}},
author = {Matt Traudt and juga},
howpublished = {\\\url{https://sbws.readthedocs.io/en/latest/specification.html}}
}

@misc{load-2017,
title = {{Re: could Tor devs provide an update on DOS attacks?}},
author = {Roger Dingledine},
howpublished = {\\\url{https://lists.torproject.org/pipermail/tor-relays/2017-December/014002.html}}
}

@misc{research-portal,
title = {{Tor Research Portal}},
key ={Tor Research Portal},
howpublished = {\\\url{https://research.torproject.org/}}
}

@misc{metrics-lib,
title = {{Tor Metrics Library}},
key ={Tor Metrics Library},
howpublished = {\\\url{https://metrics.torproject.org/metrics-lib.html}}
}

@misc{pluggable-transports-list,
title = {List of Pluggable Transports},
key = {List of Pluggable Transports},
howpublished = {\\\url{https://trac.torproject.org/projects/tor/wiki/doc/PluggableTransports/list}},
}

@misc{trsb,
title = {{Tor Research Safety Board}},
key = {{Tor Research Safety Board}},
howpublished = {\url{https://research.torproject.org/safetyboard.html}},
}

@misc{snowflake,
title = {Snowflake},
key = {Snowflake},
howpublished = {\url{https://trac.torproject.org/projects/tor/wiki/doc/Snowflake}},
}

@misc{securedrop,
title = {SecureDrop: The open-source whistleblower submission system},
key = {SecureDrop: The open-source whistleblower submission system},
howpublished = {\url{https://securedrop.org/}},
}

@misc{orbot,
title = {{Orbot: Tor for Android}},
key = {Orbot: Tor for Android},
howpublished = {\url{https://guardianproject.info/apps/orbot/}},
}

@misc{guardianproj,
title = {{The Guardian Project}},
key = {The Guardian Project},
howpublished = {\url{https://guardianproject.info/}},
}

@misc{adversary-lab,
title = {{Adversary Lab}},
key = {Adversary Lab},
howpublished = {\url{https://github.com/OperatorFoundation/AdversaryLab}},
}

@misc{tails,
title = {{TAILS: The Amnesic Incognito Live System}},
key = {TAILS: The Amnesic Incognito Live System},
howpublished = {\url{https://tails.boum.org/}},
}

@misc{whonix,
title = {{Whonix: A High Security Method of Surfing the Internet}},
key = {Whonix: A High Security Method of Surfing the Internet},
howpublished = {\url{https://www.whonix.org/}},
}

@misc{qubes,
title = {{Qubes OS: A reasonably secure operating system}},
key = {Qubes OS: A reasonably secure operating system},
howpublished = {\url{https://www.qubes-os.org/}},
}

@misc{icepa,
title = {{iCepa: iOS system-wide VPN based Tor client}},
key = {iCepa: iOS system-wide VPN based Tor client},
howpublished = {\url{https://github.com/iCepa/iCepa}},
}

@misc{globaleaks,
title = {GlobaLeaks: The open-source whistleblowing software},
key = {GlobaLeaks: The open-source whistleblowing software},
howpublished = {\url{https://www.globaleaks.org/}},
}

@misc{cliqz,
title = {Cliqz},
key = {Cliqz},
howpublished = {\url{https://cliqz.com/en/}},
}

@misc{brave,
title = {Brave},
key = {Brave},
howpublished = {\url{https://brave.com/}},
}

@misc{witness,
title = {Witness},
key = {Witness},
howpublished = {\url{https://witness.org/}},
}

@misc{onion-browser,
title = {{Onion Browser: An open-source, privacy-enhancing web browser for iOS.}},
key = {{Onion Browser: An open-source, privacy-enhancing web browser for iOS.}},
howpublished = {\url{https://onionbrowser.com/}},
}

@misc{briar,
title = {Briar: Secure messaging, anywhere},
key = {Briar: Secure messaging, anywhere},
howpublished = {\url{https://briarproject.org/}},
}

@misc{chatsecure,
title = {ChatSecure: Free and open source encrypted chat for iOS},
key = {ChatSecure: Free and open source encrypted chat for iOS},
howpublished = {\url{https://chatsecure.org/}},
}

@misc{tor-birdy,
title = {TorBirdy},
key = {TorBirdy},
howpublished = {\url{https://trac.torproject.org/projects/tor/wiki/torbirdy}},
}

@misc{ricochet,
title = {Ricochet},
key = {Ricochet},
howpublished = {\url{https://ricochet.im/}},
}

@misc{onionshare,
title = {OnionShare},
key = {OnionShare},
howpublished = {\url{https://onionshare.org/}},
}

@misc{haven,
title = {Haven: Keep Watch},
key = {Haven: Keep Watch},
howpublished = {\url{https://guardianproject.github.io/haven/}},
}

@misc{resumable-js,
title = {Resumable.js},
key = {Resumable.js},
howpublished = {\url{http://www.resumablejs.com/}},
}

@misc{opendesignkit,
title = {Open Design Process},
key = {Open Design Process},
howpublished = {\url{http://opendesignkit.org/process/}},
}

@misc{china-vpn-ban,
title = {VPNs can still be used in China despite March 31 ban},
key = {VPNs can still be used in China despite March 31 ban},
howpublished = {\url{https://www.zdnet.com/article/vpns-can-still-be-used-in-china-despite-march-31-ban/}},
}

@misc{egypt-internet-users,
title = {{ICT Indicators in Brief (Egypt)}},
key = {ICT Indicators in Brief},
howpublished = {\url{www.mcit.gov.eg/Upcont/Documents/Publications_2122017000_Flyer_new_December_2016_EN_21_02_2017.pdf}},
}

@misc{ethiopia-new-pm,
title = {{Ethiopia's parliament swears in new prime minister}},
author = {Meron Moges-Gerbi and Chris Giles},
howpublished = {\url{https://edition.cnn.com/2018/04/02/africa/ethiopia-new-pm-abiy-ahmed/index.html}},
}

@misc{ux-research,
title = {Tor UX Research},
key = {Tor UX Research},
howpublished = {\url{https://trac.torproject.org/projects/tor/ticket/27010}},
}

@misc{tor-uplift,
title = {Tor Uplift Project},
key = {Tor Uplift Project},
howpublished = {\url{https://wiki.mozilla.org/Security/Tor_Uplift}},
}

@misc{infolabe,
title = {infolabe-anomalies - Detected anomalies in Tor user numbers},
key = {Infolabe},
howpublished = {\url{http://lists.infolabe.net/lists/listinfo/infolabe-anomalies}},
}

@misc{ooni-probe,
title = {OONI Probe},
key = {OONI Probe},
howpublished = {\url{https://ooni.torproject.org/install/}},
}

@misc{ooni-nettest,
title = {OONI Tests},
key = {OONI Tests},
howpublished = {\url{https://ooni.torproject.org/nettest/}},
}

@inproceedings{ooni-paper,
  author = {Arturo Filast\`{o} and Jacob Appelbaum},
  booktitle = {Free and Open Communications on the Internet},
  publisher = {USENIX},
  title = {{OONI}: Open Observatory of Network Interference},
  year = {2012},
  url = {https://www.usenix.org/system/files/conference/foci12/foci12-final12.pdf},
}

@misc{ooni-explorer,
title = {{OONI Explorer}},
key = {{OONI Explorer}},
howpublished = {\url{https://explorer.ooni.torproject.org/world/}},
}

@misc{ooni-explorer-egypt,
title = {{OONI Explorer Egypt}},
key = {{OONI Explorer Egypt}},
howpublished = {\url{https://explorer.ooni.torproject.org/country/EG}},
}

@misc{ooni-explorer-ethiopia,
title = {{OONI Explorer Ethiopia}},
key = {{OONI Explorer Ethiopia}},
howpublished = {\url{https://explorer.ooni.torproject.org/country/ET}},
}

@misc{ooni-explorer-china,
title = {{OONI Explorer China}},
key = {{OONI Explorer China}},
howpublished = {\url{https://explorer.ooni.torproject.org/country/CN}},
}

@misc{ooni-explorer-iran,
title = {{OONI Explorer Iran}},
key = {{OONI Explorer Iran}},
howpublished = {\url{https://explorer.ooni.torproject.org/country/IR}},
}

@misc{ooni-explorer-turkey,
title = {{OONI Explorer Turkey}},
key = {{OONI Explorer Turkey}},
howpublished = {\url{https://explorer.ooni.torproject.org/country/TR}},
}

@misc{ooni-explorer-venezuela,
title = {{OONI Explorer Venezuela}},
key = {{OONI Explorer Venezuela}},
howpublished = {\url{https://explorer.ooni.torproject.org/country/VE}},
}

@misc{ooni-stats,
title = {{OONI Measurement Statistics}},
key = {{OONI Measurement Statistics}},
howpublished = {\url{https://api.ooni.io/stats}},
}

@misc{ooni-partner-prog,
title = {{OONI Partnership Program}},
key = {{OONI Partnership Program}},
howpublished = {\url{https://ooni.torproject.org/get-involved/partnership-program/}},
}

@misc{ooni-egypt-summary,
title = {{The State of Internet Censorship in Egypt - Summary}},
author = {Leonid Evdokimov and Maria Xynou and Mohammad El-Taher and Hassan Al-Azhary and Sarah Mohsen},
howpublished = {\url{https://ooni.torproject.org/post/egypt-internet-censorship/}},
}

@misc{ooni-egypt-report,
title = {{The State of Internet Censorship in Egypt - Full Report}},
author = {Mohammad El-Taher and Hassan Al-Azhary and Sarah Mohsen and
Leonid Evdokimov and Maria Xynou},
howpublished = {\url{https://ooni.torproject.org/documents/Egypt-Internet-Censorship-AFTE-OONI-2018-07.pdf}},
}

@misc{ooni-ethiopia,
title = {{Ethiopia: Evidence of social media blocking and internet censorship}},
author = {Maria Xynou and Arturo Filast\`{o} and Amnesty International and Girma Walabuma},
howpublished = {\url{https://ooni.torproject.org/post/ethiopia-report/}},
}

@misc{ooni-ethiopia-unblock,
title = {{Ethiopia: Verifying the unblocking of websites}},
author ={Berhan Taye and Maria Xynou and Leonid Evdokimov and Moses Karanja},
howpublished = {\url{https://ooni.torproject.org/post/ethiopia-unblocking/}},
}

@misc{ooni-iran-report,
title = {{Internet Censorship in Iran: Network Measurement Findings from 2014-2017}},
author = {Maria Xynou and Arturo Filast\`{o} and Mahsa Alimardani and Sina Kouhi and Kyle Bowen and Vmon and Amin Sabeti},
howpublished = {\url{https://ooni.torproject.org/post/iran-internet-censorship/}},
}

@misc{ooni-venezuela-report,
title = {{The State of Internet Censorship in Venezuela}},
author = {Mariengracia Chirinos and Andrés Azpúrua and Leonid Evdokimov and Maria Xynou},
howpublished = {\url{https://ooni.torproject.org/post/venezuela-internet-censorship/}},
}

@misc{bbc-ethiopia-protests,
title = {{What is behind Ethiopia's wave of protests?}},
key = {{What is behind Ethiopia's wave of protests?}},
howpublished = {\url{https://www.bbc.com/news/world-africa-36940906}},
}

@misc{bbc-uganda-social-media-tax,
title = {{Uganda imposes WhatsApp and Facebook tax 'to stop gossip'}},
key = {{Uganda imposes WhatsApp and Facebook tax 'to stop gossip'}},
howpublished = {\url{https://www.bbc.com/news/world-africa-44315675}},
}

@misc{venezuela-blocks-tor,
title = {{Venezuela blocks access to the Tor network}},
key = {{Venezuela blocks access to the Tor network}},
howpublished = {\url{https://www.accessnow.org/venezuela-blocks-tor/}},
}

@techreport{dos-techreport,
  author = {Nick Mathewson},
  title = {Denial-of-service attacks in {Tor}: Taxonomy and defenses},
  institution = {The Tor Project},
  number = {2015-10-001},
  year = {2015},
  month = {October},
  url = {https://research.torproject.org/techreports/dos-taxonomy-2015-10-29.pdf}
}

@article{domain-fronting,
  title = {Blocking-resistant communication through domain fronting},
  author = {David Fifield and Chang Lan and Rod Hynes and Percy Wegmann and Vern Paxson},
  journal = {Proceedings on Privacy Enhancing Technologies},
  volume = {2015},
  number = {2},
  year = {2015},
  pages = {46--64},
}

@article{torlauncher-pets2017,
  title = {A Usability Evaluation of {T}or Launcher},
  author = {Linda Lee and David Fifield and Nathan Malkin and Ganesh Iyer and Serge Egelman and David Wagner},
  journal = {Proceedings on Privacy Enhancing Technologies},
  volume = {2017},
  number = {3},
  year = {2017},
  month = {July},
}

@inproceedings{pets13-splitting,
  title = {The Path Less Travelled: Overcoming {T}or's Bottlenecks with Traffic Splitting},
  author = {Mashael Alsabah and Kevin Bauer and Tariq Elahi and Ian Goldberg}, 
  booktitle = {Proceedings of the 13th Privacy Enhancing Technologies Symposium (PETS 2013)},
  year = {2013},
  month = {July},
}

@article{HILBERT2016567,
title = "The bad news is that the digital access divide is here to stay: Domestically installed bandwidths among 172 countries for 1986–2014",
journal = "Telecommunications Policy",
volume = "40",
number = "6",
pages = "567 - 581",
year = "2016",
issn = "0308-5961",
doi = "https://doi.org/10.1016/j.telpol.2016.01.006",
url = "https://www.sciencedirect.com/science/article/pii/S0308596116000276",
author = "Martin Hilbert",
keywords = "Digital divide, Broadband, Bandwidth, International, Global, Gini index, Inequality"
}

@inproceedings{Kung1994,
 author = {Kung, H. T. and Blackwell, Trevor and Chapman, Alan},
 title = {Credit-based Flow Control for ATM Networks: Credit Update Protocol, Adaptive Credit Allocation and Statistical Multiplexing},
 booktitle = {Proceedings of the Conference on Communications Architectures, Protocols and Applications},
 series = {SIGCOMM '94},
 year = {1994},
 isbn = {0-89791-682-4},
 location = {London, United Kingdom},
 pages = {101--114},
 numpages = {14},
 url = {https://doi.acm.org/10.1145/190314.190324},
 doi = {10.1145/190314.190324},
 acmid = {190324},
 publisher = {ACM},
 address = {New York, NY, USA},
}

@TechReport{fileapi,
  author      = "Marijn Kruisselbrink",
  title       = "File {API}",
  month       = oct,
  note        = "https://www.w3.org/TR/2017/WD-FileAPI-20171026/",
  year        = "2017",
  bibsource   = "http://w2.syronex.com/jmr/w3c-biblio",
  type        = "{W3C} Working Draft",
  institution = "W3C",
}

@inproceedings{psc-ccs2017,
  author = {Ellis Fenske and Akshaya Mani and Aaron Johnson and Micah Sherr},
  title = {Distributed Measurement with Private Set-Union Cardinality},
  booktitle = {Proceedings of the 24th ACM Conference on Computer and Communications Security (CCS '17)},
  year = {2017},
  publisher = {ACM}
}

@techreport{why-slow,
  author = {Roger Dingledine and Steven J. Murdoch},
  title = {Performance Improvements on {Tor} or, Why {Tor} is slow and what we're going to do about it},
  institution = {The Tor Project},
  number = {2009-11-001},
  year = {2009},
  month = {November},
  url = {https://research.torproject.org/techreports/performance-2009-11-09.pdf}
}

@inproceedings{jansen14-kist,
  title = {Never Been {KIST}: Tor's Congestion Management Blossoms with Kernel-Informed Socket Transport},
  author = {Rob Jansen and John Geddes and Chris Wacek and Micah Sherr and Paul Syverson},
  booktitle = {Proceedings of 23rd USENIX Security Symposium (USENIX Security 14)},
  year = {2014},
  month = {August},
  address = {San Diego, CA},
  publisher = {USENIX Association},
}

@inproceedings{greatfirewall-tor,
        Author = {Philipp Winter and Stefan Lindskog},
        Booktitle = {USENIX Workshop on Free and Open Communications on the Internet (FOCI)},
        Date-Added = {2013-11-15 02:37:04 +0000},
        Date-Modified = {2013-11-15 02:38:17 +0000},
        Keywords = {anonymity, censorship},
        Title = {{How the Great Firewall of China is Blocking Tor}},
        Year = {2012}
}

